import { MockAdapter } from '../mock-adapter';
const mock = MockAdapter.getInstance();

import Mock from 'mockjs'

// 获取studio链接数据
mock.onGet('./assets/json/view-config.json').reply((config: any) => {
    let status = MockAdapter.mockStatus(config);
    return [status,{
                "eamlocationstateeditview": {
            "title": "功能位置状态信息",
            "caption": "功能位置状态",
            "viewtype": "DEEDITVIEW",
            "viewmodule": "Location",
            "viewname": "EAMLocationStateEditView",
            "viewtag": "0b6fa9e6ebc1f6d1afaf3c19585840b0"
        },
        "eamlocationeditview": {
            "title": "功能位置编辑视图",
            "caption": "功能位置",
            "viewtype": "DEEDITVIEW",
            "viewmodule": "Location",
            "viewname": "EAMLocationEditView",
            "viewtag": "1769804cd7ab51624ac3c88c2090363b"
        },
        "eamlocationpickupview": {
            "title": "功能位置数据选择视图",
            "caption": "功能位置",
            "viewtype": "DEPICKUPVIEW",
            "viewmodule": "Location",
            "viewname": "EAMLocationPickupView",
            "viewtag": "2b28313d0f3925fa44b8683eb5ea54d6"
        },
        "eamlocationstatemodelpickupview": {
            "title": "功能位置状态模型数据选择视图",
            "caption": "功能位置状态模型",
            "viewtype": "DEPICKUPVIEW",
            "viewmodule": "Location",
            "viewname": "EAMLocationStateModelPickupView",
            "viewtag": "3d676a12800fca23bec463d5c5217413"
        },
        "eamlocationtypepickupview": {
            "title": "功能位置类型数据选择视图",
            "caption": "功能位置类型",
            "viewtype": "DEPICKUPVIEW",
            "viewmodule": "Location",
            "viewname": "EAMLocationTypePickupView",
            "viewtag": "4a5dd0204cc256862db03b36fc570e71"
        },
        "eamlocationtypegridview": {
            "title": "功能位置类型表格视图",
            "caption": "功能位置类型",
            "viewtype": "DEGRIDVIEW",
            "viewmodule": "Location",
            "viewname": "EAMLocationTypeGridView",
            "viewtag": "4c95ec14aa2de5370d9d81f7d85f4bd5"
        },
        "eamlocationtypepickupgridview": {
            "title": "功能位置类型选择表格视图",
            "caption": "功能位置类型",
            "viewtype": "DEPICKUPGRIDVIEW",
            "viewmodule": "Location",
            "viewname": "EAMLocationTypePickupGridView",
            "viewtag": "6a395ea52232233416d9c7120518863d"
        },
        "eamlocationstatemodeleditview": {
            "title": "功能位置状态模型编辑视图",
            "caption": "功能位置状态模型",
            "viewtype": "DEEDITVIEW",
            "viewmodule": "Location",
            "viewname": "EAMLocationStateModelEditView",
            "viewtag": "7bf1327f579d782d5cdb98528999a5e0"
        },
        "eamlocationstatemodelgridview": {
            "title": "功能位置状态模型表格视图",
            "caption": "功能位置状态模型",
            "viewtype": "DEGRIDVIEW",
            "viewmodule": "Location",
            "viewname": "EAMLocationStateModelGridView",
            "viewtag": "9e9b3600ba892d31757bacef1dcc9458"
        },
        "eamlocationinfo_mainview": {
            "title": "功能位置编辑视图",
            "caption": "功能位置",
            "viewtype": "DEEDITVIEW",
            "viewmodule": "Location",
            "viewname": "EAMLocationInfo_MainView",
            "viewtag": "a82c591e524f7289432a30a5ccfa8908"
        },
        "eamlocationstatepickupview": {
            "title": "功能位置状态数据选择视图",
            "caption": "功能位置状态",
            "viewtype": "DEPICKUPVIEW",
            "viewmodule": "Location",
            "viewname": "EAMLocationStatePickupView",
            "viewtag": "a9f7eb2645c6505a232a0a13742c42a7"
        },
        "eamlocationchildgridview": {
            "title": "功能位置表格视图",
            "caption": "功能位置",
            "viewtype": "DEGRIDVIEW",
            "viewmodule": "Location",
            "viewname": "EAMLocationChildGridView",
            "viewtag": "b24fce391aeca43222a1017b50ba40e2"
        },
        "eamlocationstatemodellineeditview": {
            "title": "功能位置状态模型明细编辑视图",
            "caption": "功能位置状态模型明细",
            "viewtype": "DEEDITVIEW",
            "viewmodule": "Location",
            "viewname": "EAMLocationStateModelLineEditView",
            "viewtag": "b3d85711a6feb998249451ba167895d2"
        },
        "eamlocationstatepickupgridview": {
            "title": "功能位置状态信息",
            "caption": "功能位置状态",
            "viewtype": "DEPICKUPGRIDVIEW",
            "viewmodule": "Location",
            "viewname": "EAMLocationStatePickupGridView",
            "viewtag": "b56347aaab650c59a8338876600c21e4"
        },
        "eamlocationstatemodelpickupgridview": {
            "title": "功能位置状态模型选择表格视图",
            "caption": "功能位置状态模型",
            "viewtype": "DEPICKUPGRIDVIEW",
            "viewmodule": "Location",
            "viewname": "EAMLocationStateModelPickupGridView",
            "viewtag": "bb8b4b03a77ed63b8eb4ef3d62b669a6"
        },
        "eamlocationsummaryview": {
            "title": "功能位置数据看板视图",
            "caption": "功能位置",
            "viewtype": "DEPORTALVIEW",
            "viewmodule": "Location",
            "viewname": "EAMLocationSummaryView",
            "viewtag": "cc29cbcb0398aa069d4b05f3469f0377"
        },
        "eamlocationinfoview": {
            "title": "功能位置信息",
            "caption": "功能位置",
            "viewtype": "DETABEXPVIEW",
            "viewmodule": "Location",
            "viewname": "EAMLocationInfoView",
            "viewtag": "d3466c5c60a573062d543896976bf68c"
        },
        "appindexview": {
            "title": "应用首页视图",
            "caption": "资产管理",
            "viewtype": "APPINDEXVIEW",
            "viewmodule": "Base",
            "viewname": "AppIndexView",
            "viewtag": "D44132B9-5261-4008-A146-6287A80D5D31"
        },
        "eamlocationtypeeditview": {
            "title": "功能位置类型编辑视图",
            "caption": "功能位置类型",
            "viewtype": "DEEDITVIEW",
            "viewmodule": "Location",
            "viewname": "EAMLocationTypeEditView",
            "viewtag": "dd09755644dcf1e57c062b4e08e4ce3a"
        },
        "eamlocationstatemodellinegridview": {
            "title": "功能位置状态模型明细表格视图",
            "caption": "功能位置状态模型明细",
            "viewtype": "DEGRIDVIEW",
            "viewmodule": "Location",
            "viewname": "EAMLocationStateModelLineGridView",
            "viewtag": "ecd1ec6299b5b24e2004fa15c4eef92d"
        },
        "eamlocationgridview": {
            "title": "功能位置表格视图",
            "caption": "功能位置",
            "viewtype": "DEGRIDVIEW",
            "viewmodule": "Location",
            "viewname": "EAMLocationGridView",
            "viewtag": "eee617336f6dc6e5e97835d6309fd452"
        },
        "eamlocationpickupgridview": {
            "title": "功能位置选择表格视图",
            "caption": "功能位置",
            "viewtype": "DEPICKUPGRIDVIEW",
            "viewmodule": "Location",
            "viewname": "EAMLocationPickupGridView",
            "viewtag": "f572d337efac74735bf54b199e054081"
        },
        "eamlocationstategridview": {
            "title": "功能位置状态信息",
            "caption": "功能位置状态",
            "viewtype": "DEGRIDVIEW",
            "viewmodule": "Location",
            "viewname": "EAMLocationStateGridView",
            "viewtag": "f7c04762f2a3e3026c909e6191a0998f"
        }
    }];
});